Bug 1353569 - CVE-2016-6170 bind: Improper restriction of zone size limit [fedora-all]
Summary: CVE-2016-6170 bind: Improper restriction of zone size limit [fedora-all]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 26
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-6170
TreeView+ depends on / blocked
 
Reported: 2016-07-07 13:13 UTC by Adam Mariš
Modified: 2017-07-26 15:19 UTC (History)
5 users (show)

Fixed In Version: bind-9.11.1-1.P1.fc26 bind-9.10.5-1.P1.fc25 bind-9.10.5-1.P2.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 15:19:42 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-07 13:13:09 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-07-07 13:13:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1353563,1353569

# Description of your update
notes=Security fix for CVE-2016-6170

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Tomáš Hozza 2016-07-11 13:07:26 UTC
Upstream solution:

ISC wish to stress that the behavior in question is not a failure
of BIND to implement DNS protocols correctly, but is if anything
an oversight in the protocol.  However, for the convenience of
operators who take zone data from untrusted sources (such as
secondary name service providers) we have committed to delivering
a feature in upcoming maintenance releases of BIND which will
address the issue by allowing operators to set limits on the
maximum zone size BIND will accept.

This bug will be closed when new upstream version will be released.

Comment 3 Fedora Admin XMLRPC Client 2016-12-01 14:21:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2017-02-28 09:59:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Petr Menšík 2017-07-26 15:19:42 UTC
This bug was fixed by new released version 9.11.1 and 9.10.5. It is fixed already in f24, f25 and f26. I just failed to add this bug when making the update. Solution for limiting size of incoming zones is per-zone option max-records.


Note You need to log in before you can comment on or make changes to this bug.